mixin subBlock(title, subTitle, detail, link, id)
  .block__sub-block
    p.block__sub-block-heading(id= id + "CVLink", href='#')= title
    p.block__sub-block-text= subTitle
    p.block__sub-block-text= detail

#cv.cv
  .cv__title.title David Kennedy

  p.cv__intro A hard working student with a desire to learn and an aptitude for problem solving.

  .row
    .row__col
      .block
        .block__title-bar
          .block__title Education
        .block__body.block__body_text-small
          for e in educators
            +subBlock(e.name, e.course, e.result, e.link, e.id)

    .row__col
      .block
        .block__title-bar
          .block__title Employment
        .block__body.block__body_text-small
          for e in employers
            +subBlock(e.name, e.jobTitle, e.duration, e.link, e.id)

    .row__col
      .block
        .block__title-bar
          .block__title Interests
        .block__body.block__body_text
          ul.block__list.block__sub-block
            li.block__list-item Computer Hardware
            li.block__list-item Technology
            li.block__list-item Artificial Intelligence
            li.block__list-item Web development
            li.block__list-item Cyber security
            li.block__list-item Cryptocurrency
            li.block__list-item Cooking
            li.block__list-item Skiing
            li.block__list-item Hockey

      .block.margin-top
        .block__title-bar
          .block__title References
        .block__body.block__body_text
          .block__sub-block
            p.block__sub-block-text References provided on request